/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-05-20
 * 描述            ：调度日志-库存发运情况
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Mes.anneal.vo;
import java.io.Serializable;
import java.util.Date;

import market.Mes.anneal.mapper.PlnSchedulingStockMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PLN_SCHEDULING_STOCK", namespace=PlnSchedulingStockMapper.class)
public class PlnSchedulingStock extends BaseVO implements Serializable {
	/** 
	 * 仓库名称
	 */ 
	@Id
	private String storage_code;
	public String getStorage_code() {
		return this.storage_code;
	}
	public void setStorage_code(String storage_code) {
		this.storage_code = storage_code;
	}

	/** 
	 * 记录日期
	 */ 
	@Id
	private String record_time;
	public String getRecord_time() {
		return record_time;
	}
	public void setRecord_time(String record_time) {
		this.record_time = record_time;
	}

	/** 
	 * 库存量
	 */ 
	@Column
	private Double stocked;
	public Double getStocked() {
		return this.stocked;
	}
	public void setStocked(Double stocked) {
		this.stocked = stocked;
	}

	/** 
	 * 库存数
	 */ 
	@Column
	private Long stocked_cnt;
	public Long getStocked_cnt() {
		return this.stocked_cnt;
	}
	public void setStocked_cnt(Long stocked_cnt) {
		this.stocked_cnt = stocked_cnt;
	}
	
	/** 
	 * 客户重量
	 */ 
	@Column
	private Double stocked1;
	public Double getStocked1() {
		return this.stocked1;
	}
	public void setStocked1(Double stocked1) {
		this.stocked1 = stocked1;
	}

	/** 
	 * 客户卷数 
	 */ 
	@Column
	private Long stocked_cnt1;
	public Long getStocked_cnt1() {
		return this.stocked_cnt1;
	}
	public void setStocked_cnt1(Long stocked_cnt1) {
		this.stocked_cnt1 = stocked_cnt1;
	}
	
	/** 
	 * 优特钢重量 
	 */ 
	@Column
	private Double stocked2;
	public Double getStocked2() {
		return this.stocked2;
	}
	public void setStocked2(Double stocked2) {
		this.stocked2 = stocked2;
	}

	/** 
	 * 优特钢卷数
	 */ 
	@Column
	private Long stocked_cnt2;
	public Long getStocked_cnt2() {
		return this.stocked_cnt2;
	}
	public void setStocked_cnt2(Long stocked_cnt2) {
		this.stocked_cnt2 = stocked_cnt2;
	}

	/** 
	 * 库存登记时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date stocked_time;
	public Date getStocked_time() {
		return this.stocked_time;
	}
	public void setStocked_time(Date stocked_time) {
		this.stocked_time = stocked_time;
	}

	/** 
	 * 发运车数
	 */ 
	@Column
	private Long car_transported;
	public Long getCar_transported() {
		return this.car_transported;
	}
	public void setCar_transported(Long car_transported) {
		this.car_transported = car_transported;
	}

	/** 
	 * 发运量
	 */ 
	@Column
	private Double transport;
	public Double getTransport() {
		return this.transport;
	}
	public void setTransport(Double transport) {
		this.transport = transport;
	}

	/** 
	 * 发运登记时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date transport_time;
	public Date getTransport_time() {
		return this.transport_time;
	}
	public void setTransport_time(Date transport_time) {
		this.transport_time = transport_time;
	}

	@Column
	private String memo_fayun;
	
	@Column
	private String memo_kucun;
	public String getMemo_fayun() {
		return memo_fayun;
	}
	public void setMemo_fayun(String memo_fayun) {
		this.memo_fayun = memo_fayun;
	}
	public String getMemo_kucun() {
		return memo_kucun;
	}
	public void setMemo_kucun(String memo_kucun) {
		this.memo_kucun = memo_kucun;
	}
	
	
	
	
}
